PT ARITA - Support #855

Penomoran Loan Arita
02/07/2022 05:15 PM - Anonymous

Status: Closed Start date: 02/07/2022
Priority: Low Due date: 02/11/2022
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mang Wanto and Team,
Mohon untuk dibuatkan fungsi auto-generate pada penomoran Loan Arita.
Format: 0001/PAY-HRD/1/2022

® 0001: Penomoran surat. Dimulai dari 0001. Di reset kembali ke 0001 pada saat tahun baru. tidak ada digit maksimal, boleh
menjadi 4 digit setelah surat no 999. Update LastNo nya ke tabel "dbo.LoanNumbering".

e PAY-HRD: Baku dan tidak berubah pada semua nomor loan.

¢ |: keterangan bulan loan di issuekan, dengan angka romawi. februari: I, desember: XIl, dst.

e 2022: Tahun loan di issuekan. Update Years di tabel "dbo.LoanNumbering" saat ganti tahun

1. Dimulai pada saat employee menginput data loan, field Loan Number terisi otomatis sesuai format tersebut.
2. Pada export-import, terdapat auto-generate Loan Number.
3. Dan pada Loan Report terdapat Loan Number yang telah ter auto-generate.

Benefit Management -> Loan

Tabel: dbo.LoanNumbering

DB : Arita_Dev

Port : 192.168.3.77\SQLSERVER2014

History

#1 - 02/07/2022 05:38 PM - Kezia Pawitra Yulianti
- Due date set to 02/11/2022

- Status changed from New to Assigned

#2 - 02/16/2022 04:53 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Kezia Pawitra Yulianti

tambahan pada table
PCMWFCUSTPARAM

id GetLoanNumbering dan SetLoanNumbering

update pada file
...\app\controller\masterdata\loan\ctrlloan.js

#3 - 09/13/2022 04:57 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to Moch Alinafia

Kak Ali,

untuk task ini apa memang sudah selesai?

Minta tolong salah satu functional ada yg ngetest ya, supaya gak ada issue yg masuk ke CS untuk requirement ini
Tks ya

#4 - 09/13/2022 05:23 PM - Moch Alinafia

- Status changed from QA Test to Closed
- Priority changed from Immediate to Low

Sudah sesuai
test by Nando

07/05/2025 22


http://www.tcpdf.org

